# Create a realtime RFP

**POST** `/transfers/realtime/request-for-payment`

Create a Realtime Request For Payment (RFP) between a Column account and a counterparty.

### Body Parameters

- `account_number_id` `string` — Source account number ID
- `amount` `number` _(required)_ — RFP amount in smallest unit
- `bank_account_id` `string` — Source bank account ID
- `counterparty_id` `string` — Counterparty ID
- `currency_code` `enum` _(required)_ — ISO 4217 currency code
  Possible values: `USD`
- `description` `string` — Free-form RFP description

**Request**

```shell
curl 'https://api.column.com/transfers/realtime/request-for-payment' \
  -XPOST \
  -u :<YOUR API KEY> \
  -d description="Example RFP" \
  -d amount=10000 \
  -d currency_code="USD" \
  -d bank_account_id="<bank_account_id>" \
  -d counterparty_id="<counterparty_id>"
```

**Response 200**

```json
{
  "accepted_at": "2025-03-05T17:15:19Z",
  "account_number_id": "acno_2toLl6m5mCvdnC1ffcRBIvqq12e",
  "amount": 650000,
  "bank_account_id": "bacc_2toLl7dxbfa4VE9U8mbrUOloqw3",
  "canceled_at": null,
  "completed_at": "2025-03-05T17:15:19Z",
  "counterparty_id": "cpty_2tuD0cMoZrq5mEUVUX6KsYRMzqR",
  "currency_code": "USD",
  "description": "rent payment",
  "expired_at": "2025-03-06T11:33:00Z",
  "id": "rrfp_2tuD0rBe0o8NmxvcxcHRzt5poZQ",
  "initiated_at": null,
  "is_incoming": true,
  "received_at": "2025-03-05T16:40:45Z",
  "rejected_at": null,
  "status": "completed",
  "transfer": null
}
```
